Bug 1886213

Summary: Need to disable HTX when not using HTTP/2 in order to preserve HTTP header name case
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: NetworkingAssignee: Miciah Dashiel Butler Masters <mmasters>
Networking sub component: router QA Contact: Arvind iyengar <aiyengar>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: high CC: aiyengar, aos-bugs, hongli, mfisher, sgreene
Version: 4.4   
Target Milestone: ---   
Target Release: 4.6.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-30 16:45:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1885414    
Bug Blocks: 1886214    

Comment 1 Miciah Dashiel Butler Masters 2020-10-26 05:19:01 UTC
Fix is posted but blocked on 4.6.0 GA and bug 1887935 and will need cherry-pick-approved label.  We'll try to get this done in the upcoming sprint.

Comment 2 Miciah Dashiel Butler Masters 2020-11-06 06:44:28 UTC
Dropping dependency on bug 1887935 because openshift-ci-robot does not like a 4.6.z BZ to depend on another 4.6.z BZ (see <https://github.com/openshift/router/pull/199#issuecomment-722808226>).

Comment 3 Miciah Dashiel Butler Masters 2020-11-14 00:49:59 UTC
The bump to HAProxy 2.2 may block this change if the bump affects OCP 4.6 because HAProxy 2.2 removes the "http-use-htx" option (see bug 1897039).  Need to investigate in the upcoming sprint.

Comment 4 Miciah Dashiel Butler Masters 2020-11-16 22:00:09 UTC
(In reply to Miciah Dashiel Butler Masters from comment #3)
> The bump to HAProxy 2.2 may block this change if the bump affects OCP 4.6
> because HAProxy 2.2 removes the "http-use-htx" option (see bug 1897039). 
> Need to investigate in the upcoming sprint.

The bump to HAProxy 2.2 only affects OpenShift 4.7 because it requires a change to the Dockerfiles, and that change has not been backported to the release-4.6 branch, so we can go ahead with turning off HTX in 4.6.

Comment 5 Miciah Dashiel Butler Masters 2020-11-16 22:01:54 UTC
The 4.6 fix is just blocked on cherry-pick approval.

Comment 7 Arvind iyengar 2020-11-23 03:25:17 UTC
This bug has been verified as per the pre-merge verification testing workflow.

Comment 10 errata-xmlrpc 2020-11-30 16:45:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5115